# puppet-unbound ![License badge][license-img]

1. [Overview](#overview)
2. [Description](#description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

Unbound is a validating, recursive, and caching DNS resolver.

## Description

Puppet module to install, deploy and configure unbound.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

## Usage

```puppet
class { 'unbound':
  forwardaddrs => [
    '10.150.248.12',
    '10.150.248.13',
    '8.8.8.8',
    '8.8.4.4'
  ]

}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully [CONTRIBUTING.md](/CONTRIBUTING.md)
before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
