# -*- puppet -*-

exec { 'apt-get update':
  command => 'apt-get update -qq',
  path    => [ '/usr/bin', '/usr/sbin', '/bin', '/sbin' ],
}

class { 'unbound':
  ensure_package => present,
  ensure_service => running,
  moduleconfig   => 'iterator',
  require        => Exec['apt-get update'],
}
# EOF
