# -*- puppet -*-

exec { 'yum update':
  command => 'yum update -q -y && yum install -q -y epel-release',
  path    => [ '/usr/bin', '/usr/sbin', '/bin', '/sbin' ],
}

class { 'unbound':
  ensure_package => present,
  ensure_service => running,
  moduleconfig   => 'iterator',
  require        => Exec[ 'yum update' ],
}
# EOF
